Subject: [RTG-DIR] RtgDir Early review: draft-ietf-opsawg-nat-yang

From: Mach Chen <[email-masked]>
Date: Tue, 9 Jan 2018 10:53:49 +0000

Hello 

I have been selected to do a routing directorate "early" review of this draft. 
https://datatracker.ietf.org/doc/ draft-ietf-opsawg-nat-yang/ 

The routing directorate will, on request from the working group chair, perform an "early" review of a draft before it is submitted for publication to the IESG. The early review can be performed at any time during the draft's lifetime as a working group document. The purpose of the early review depends on the stage that the document has reached. As this document is in working group last call, my focus for the review was to determine whether the document is ready to be published. Please consider my comments along with the other working group last call comments. 

For more information about the Routing Directorate, please see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir 

Document: draft-ietf-opsawg-nat-yang-09 
 Reviewer: Mach Chen 
 Review Date: 9 Jan 2018 
 Intended Status: Standards Track 

Summary:

No issues found. This documents is ready to proceed to the IESG.

BTW, idnits tool shows there are some warnings,  it's better to address them before publication.

Best regards,
Mach

---

From: <[email-masked]>
Date: Wed, 17 Jan 2018 09:23:14 +0000

Dear Mach, 

Thank you for the review. 

I submitted an updated version that fixes some of the nits (two or three long lines). 

Idnits displays the following: 

  == There are 3 instances of lines with non-RFC6890-compliant IPv4 addresses
     in the document.  If these are example addresses, they should be changed.

which is not a nit! These addresses are well-known IP address that are reserved initially in Section 5.7 of RFC6333 and generalized in RFC 7335. 

Also, idnits complains about some "weird spacing". These spaces are auto-generated and formatted by pyang. Idnits does not parse adequately yang trees, IMO. This bug was already shared with [email-masked].

Cheers,
Med

> -----Message d'origine-----
> De : Mach Chen [mailto:[email-masked]]
> Envoyé : mardi 9 janvier 2018 11:54
> À : [email-masked]
> Cc : [email-masked]; [email-masked]
> Objet : RtgDir Early review: draft-ietf-opsawg-nat-yang
> 
> Hello
> 
> The routing directorate will, on request from the working group chair,
> perform an "early" review of a draft before it is submitted for
> publication to the IESG. The early review can be performed at any time
> during the draft's lifetime as a working group document. The purpose of
> the early review depends on the stage that the document has reached. As
> this document is in working group last call, my focus for the review was
> to determine whether the document is ready to be published. Please
> consider my comments along with the other working group last call
> comments.
> 
> For more information about the Routing Directorate, please see
> http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>